net.sf.cglib.beans

## Class BeanCopier.Generator

- java.lang.Object
- - net.sf.cglib.core.AbstractClassGenerator
  - - net.sf.cglib.beans.BeanCopier.Generator

- All Implemented Interfaces:
    ClassGenerator
  Enclosing class:
    BeanCopier

      public static class BeanCopier.Generator
      extends AbstractClassGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanCopier.Generator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeanCopier` | `create()`
    `void` | `generateClass(ClassVisitor v)`
    `void` | `setSource(java.lang.Class source)`
    `void` | `setTarget(java.lang.Class target)`
    `void` | `setUseConverter(boolean useConverter)`

    - ### Methods inherited from class net.sf.cglib.core.AbstractClassGenerator

      `getAttemptLoad, getClassLoader, getCurrent, getNamingPolicy, getStrategy, getUseCache, setAttemptLoad, setClassLoader, setNamingPolicy, setStrategy, setUseCache`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanCopier.Generator

          public BeanCopier.Generator()

  - ### Method Detail

    - #### setSource

          public void setSource(java.lang.Class source)

    - #### setTarget

          public void setTarget(java.lang.Class target)

    - #### setUseConverter

          public void setUseConverter(boolean useConverter)

    - #### create

          public BeanCopier create()

    - #### generateClass

          public void generateClass(ClassVisitor v)

Copyright (c) 2001 - Apache Software Foundation